Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
hex.cpp File Reference
`#include <botan/hex.h>`
`#include <botan/mem_ops.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::hex_decode (uint8_t output[], const char input[], size_t input_length, size_t &input_consumed, bool ignore_ws)
size_t | Botan::hex_decode (uint8_t output[], const char input[], size_t input_length, bool ignore_ws)
size_t | Botan::hex_decode (uint8_t output[], const std::string &input, bool ignore_ws)
std::vector< uint8_t > | Botan::hex_decode (const char input[], size_t input_length, bool ignore_ws)
std::vector< uint8_t > | Botan::hex_decode (const std::string &input, bool ignore_ws)
secure_vector< uint8_t > | Botan::hex_decode_locked (const char input[], size_t input_length, bool ignore_ws)
secure_vector< uint8_t > | Botan::hex_decode_locked (const std::string &input, bool ignore_ws)
void | Botan::hex_encode (char output[], const uint8_t input[], size_t input_length, bool uppercase)
std::string | Botan::hex_encode (const uint8_t input[], size_t input_length, bool uppercase)